backend:
  name: gitea
  branch: main
  repo: web/reaktionsfaehig.net # Path to your Gitea repository
  app_id: 36e664a2-afb9-4aa8-951f-7a6e47a27756 # The Client ID provided by Gitea
  api_root: https://git.hadan-it.com/api/v1 # API URL of your Gitea instance
  base_url: https://git.hadan-it.com # Root URL of your Gitea instance
  auth_endpoint: https://git.hadan-it.com/login/oauth/authorize
media_folder: static/img
public_folder: /img
collections:
  - name: 'posts'
    label: 'Posts'
    folder: 'content/posts'
    create: true
    slug: '{{year}}-{{month}}-{{day}}-{{slug}}'
    editor:
      preview: false
    fields:
      - { label: 'Title', name: 'title', widget: 'string' }
      - { label: 'Publish Date', name: 'date', widget: 'datetime' }
      - { label: 'Description', name: 'description', widget: 'string' }
      - { label: 'Body', name: 'body', widget: 'markdown' }
  - name: 'microposts'
    label: 'Microposts'
    folder: 'content/microposts'
    create: true
    slug: '{{year}}-{{month}}-{{day}}-{{slug}}'
    editor:
      preview: false
    fields:
      - { label: 'Title', name: 'title', widget: 'string' }
      - { label: 'Publish Date', name: 'date', widget: 'datetime' }
      - { label: 'Description', name: 'description', widget: 'string' }
      - { label: 'Body', name: 'body', widget: 'markdown' }


